package org.processmining.glueminer.parameters;

public class LogGeneratorParameters {
	/*
	 * 	 * 	int wantedTraces;
	double prUncompleteness;
	double prSkipping;
	double prInserting;
	int maxTraceLength;
	 */
	
	public Integer wantedTraces;
	public Double prUncompleteness;
	public Double prSkipping;
	public Double prInserting;
	public Integer maxTraceLength;
	
	public LogGeneratorParameters() {
		this.wantedTraces = LogGeneratorConstants.defaultWantedTraces;
		this.prUncompleteness = LogGeneratorConstants.defaultPrUncompleteness;
		this.prSkipping = LogGeneratorConstants.defaultPrSkipping;
		this.prInserting = LogGeneratorConstants.defaultPrInserting;
		this.maxTraceLength = LogGeneratorConstants.defaultMaxTraceLength;
	}
	
	public LogGeneratorParameters(Integer wantedTraces, Double prUncompleteness, Double prSkipping, Double prInserting, Integer maxTraceLength) {
		this.wantedTraces = wantedTraces;
		this.prUncompleteness = prUncompleteness;
		this.prSkipping = prSkipping;
		this.prInserting = prInserting;
		this.maxTraceLength = maxTraceLength;
	}
}
